- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IListControlAdapter
TActiveButton
TActiveCheckBox
TActiveCheckBoxList
TActiveControlAdapter
TActiveCustomValidator
TActiveCustomValidatorClientSide
TActiveDatePicker
TActiveDropDownList
TActiveHiddenField
TActiveHyperLink
TActiveImage
TActiveImageButton
TActiveLabel
TActiveLinkButton
TActiveListBox
TActiveListControlAdapter
TActiveListItemCollection
TActivePageAdapter
TActivePager
TActivePanel
TActiveRadioButton
TActiveRadioButtonList
TActiveRatingList
TActiveTextBox
TAutoComplete
TAutoCompleteEventParameter
TAutoCompleteTemplate
TBaseActiveCallbackControl
TBaseActiveControl
TCallback
TCallbackClientScript
TCallbackClientSide
TCallbackErrorHandler
TCallbackEventParameter
TCallbackOptions
TCallbackPageStateTracker
TCallbackResponseAdapter
TCallbackResponseWriter
TEventTriggeredCallback
TInPlaceTextBox
TInvalidCallbackException
TMapCollectionDiff
TScalarDiff
TStyleDiff
TTimeTriggeredCallback
TTriggeredCallback
TValueTriggeredCallback
TViewStateDiff

Keyword

# Class TStyleDiff

    TViewStateDiff
       |
       --TStyleDiff

TStyleDiff class.

Calculates the changes to the Style properties.

Since: 3.1
Author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Method Summary
protected array | getCombinedStyle ( TStyle $obj)
protected string | getCssClassDiff ()
array | getDifference ()
protected array | getStyleDiff ()
protected void | getStyleFromString ( string $string, array 1)

Methods Inherited From TViewStateDiff

Method Details

## getCombinedStyle

protected array getCombinedStyle | (TStyle $obj )

Input
TStyle | $obj | control style
Output
array | all the style properties combined.
Exception

## getCssClassDiff

protected string getCssClassDiff | ()

Output
string | changes to the CSS class name.
Exception

## getDifference

public array getDifference | ()

Output
array | list of changes to the control style and CSS class name.
Exception

## getStyleDiff

protected array getStyleDiff | ()

Output
array | list of changes to the control style.
Exception

## getStyleFromString

protected void getStyleFromString | (string $string , array 1 )

Input
string | $string | CSS custom style string.
array | 1 | CSS style as name-value array.
Output
Exception